{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"a574b605c75d258317c4366e07fea6f5b2a3458b","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-15.1.5.tgz","fileCount":94,"integrity":"sha512-CzhIoU3bZ+t5KVVRDR41qcrNZIK0nMDp9CpwhIaOnJdi3J4xlh0SYxa21GXGnrmnCLvyEjkh9NulhybbfAtI1Q==","signatures":[{"sig":"MEQCIHbGCFiIInVblh0XMHoL/z1xlajwW6smuqRO/Fldlr5ZAiB1ZjDO+5rH3zLcP86TaCgd0aqf13WDy0WAThn9QG+Phw==","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":214132},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"gitHead":"932743d495be5f4589ac7eaf41171b9e1fd07683","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.6.2","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.0.2","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_15.1.5_1761231613175_0.5850332735649462","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@15.1.5","version":"15.1.5"}